"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable:no-var-requires
require("whatwg-fetch");
var fetch_engine_browser_1 = require("../fetch-engine-browser");
var jest_1 = require("../integration-tests/jest");
it("browser fetchEngine is requireable", function () {
    expect.assertions(1);
    expect(fetch_engine_browser_1.default).toBeTruthy();
});
it("browser fetchEngine exports FetchGroup", function () {
    expect.assertions(1);
    expect(fetch_engine_browser_1.FetchGroup).toBeTruthy();
});
it("browser fetchEngine exports makeFetchGroup", function () {
    expect.assertions(1);
    expect(fetch_engine_browser_1.makeFetchGroup).toBeTruthy();
});
it("browser fetchEngine can make a request to the test server", function () {
    expect.assertions(2);
    var req = new Request(jest_1.ORIGIN + "/echo/text/" + encodeURIComponent("Hello fetch-browser"));
    var fetch = fetch_engine_browser_1.default();
    return fetch(req)
        .then(function (res) {
        expect(res).toBeTruthy();
        return res.text();
    })
        .then(function (text) {
        expect(text).toEqual("Hello fetch-browser");
    });
});
it("browser fetchEngine can be used with FetchGroups", function () {
    expect.assertions(7);
    var request = new Request(jest_1.ORIGIN + "/echo/text/" + encodeURIComponent("Hello fetch-browser"));
    var group = new fetch_engine_browser_1.FetchGroup({
        filters: [
            {
                testRequest: function (req) {
                    // Note: this is run multiple times for each relevant phase of the request
                    expect(req).toEqual(request);
                    return true;
                },
            },
        ],
        plugins: [
            {
                shouldFetch: function (req) {
                    expect(req).toEqual(request);
                    return true;
                },
            },
        ],
    });
    var fetch = fetch_engine_browser_1.default({
        plugins: [group],
    });
    return fetch(request)
        .then(function (res) {
        expect(res).toBeTruthy();
        return res.text();
    })
        .then(function (text) {
        expect(text).toEqual("Hello fetch-browser");
    });
});
it("browser fetchEngine can be used with stateful FetchGroups", function () {
    expect.assertions(7);
    var request = new Request(jest_1.ORIGIN + "/echo/text/" + encodeURIComponent("Hello fetch-browser"));
    var Group = fetch_engine_browser_1.makeFetchGroup(function () { return ({
        filters: [
            {
                testRequest: function (req) {
                    // Note: this is run multiple times for each relevant phase of the request
                    expect(req).toEqual(request);
                    return true;
                },
            },
        ],
        plugins: [
            {
                shouldFetch: function (req) {
                    expect(req).toEqual(request);
                    return true;
                },
            },
        ],
    }); });
    var fetch = fetch_engine_browser_1.default({
        plugins: [new Group()],
    });
    return fetch(request)
        .then(function (res) {
        expect(res).toBeTruthy();
        return res.text();
    })
        .then(function (text) {
        expect(text).toEqual("Hello fetch-browser");
    });
});
//# sourceMappingURL=fetch-engine-browser.test.js.map