"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable:no-var-requires max-classes-per-file
require("whatwg-fetch");
var makeFetchGroup_1 = require("../makeFetchGroup");
it("groups can be created lazily", function () {
    expect.assertions(3);
    var MockPlugin = /** @class */ (function () {
        function MockPlugin() {
            this.called = false;
        }
        MockPlugin.prototype.shouldFetch = function (req) {
            this.called = true;
            return true;
        };
        return MockPlugin;
    }());
    var GroupA = makeFetchGroup_1.default(function () { return ({
        plugins: [
            new MockPlugin(),
        ],
    }); });
    var a = new GroupA();
    var b = new GroupA();
    expect(a.shouldFetch(new Request("/"))).toEqual(true);
    expect(a.plugins[0].called).toEqual(true);
    expect(b.plugins[0].called).toEqual(false);
});
it("lazy groups support configuration", function () {
    expect.assertions(2);
    var MockPlugin = /** @class */ (function () {
        function MockPlugin(enabled) {
            this.enabled = false;
            this.enabled = enabled;
        }
        return MockPlugin;
    }());
    var Group = makeFetchGroup_1.default(function (opts) { return ({
        plugins: [
            new MockPlugin(opts.enabled),
        ],
    }); });
    var a = new Group({ enabled: true });
    var b = new Group({ enabled: false });
    expect(a.plugins[0].enabled).toEqual(true);
    expect(b.plugins[0].enabled).toEqual(false);
});
//# sourceMappingURL=makeFetchGroup.test.js.map