"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable:no-var-requires
require("whatwg-fetch");
var fetchEngine_1 = require("../../fetchEngine");
var RetryPlugin_1 = require("../RetryPlugin");
function returnValues(vs) {
    var calls = 0;
    return function () {
        if (calls >= vs.length) {
            throw new Error("returnValues ran out of values to call after " + calls + " calls");
        }
        var v = vs[calls];
        calls = calls + 1;
        return v;
    };
}
it("requireable", function () {
    expect.assertions(1);
    expect(RetryPlugin_1.default).toBeTruthy();
});
it("use in engine", function () {
    expect.assertions(1);
    var mockReq = new Request("/");
    var mock503 = new Response(null, {
        status: 503,
    });
    var mock200 = new Response("ok");
    var fetch = fetchEngine_1.default(returnValues([mock503, mock200]))({
        plugins: [
            new RetryPlugin_1.default(),
        ],
    });
    return fetch(mockReq).then(function (res) {
        expect(res).toEqual(mock200);
    });
});
//# sourceMappingURL=RetryPlugin.test.js.map