"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var url = require("url");
var server_1 = require("./server");
var servers = [];
// tslint:disable:no-var-requires
var jestUrl = require("../../package.json").jest.testEnvironmentOptions.url;
var parsedJestUrl = url.parse(jestUrl);
var SAME_ORIGIN_PORT = parseInt(parsedJestUrl.port, 10);
var CROSS_ORIGIN_PORT = SAME_ORIGIN_PORT + 1;
var timeout = function (t, v) { return new Promise(function (res) {
    setTimeout(function () { return res(v); }, t);
}); };
beforeAll(function () {
    servers.push(server_1.default({ port: "" + SAME_ORIGIN_PORT }));
    servers.push(server_1.default({ port: "" + CROSS_ORIGIN_PORT }));
    return Promise.all(servers.map(function (s) { return s.start(); }));
});
afterAll(function () {
    return Promise.all(servers.map(function (s) { return s.stop(); }));
});
var ORIGIN = "http://localhost:" + SAME_ORIGIN_PORT;
exports.ORIGIN = ORIGIN;
var SAME_ORIGIN = "http://localhost:" + SAME_ORIGIN_PORT;
exports.SAME_ORIGIN = SAME_ORIGIN;
var CROSS_ORIGIN = "http://localhost:" + CROSS_ORIGIN_PORT;
exports.CROSS_ORIGIN = CROSS_ORIGIN;
//# sourceMappingURL=jest.js.map