"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var composePromise_1 = require("../composePromise");
it("composePromise is requireable", function () {
    expect.assertions(1);
    expect(composePromise_1.default).toBeTruthy();
});
it("it composes identity functions to produce passed value", function () {
    expect.assertions(1);
    var promiseId = function (x) { return Promise.resolve(x); };
    var f = composePromise_1.default([promiseId, promiseId]);
    return f(true)
        .then(function (v) {
        expect(v).toEqual(true);
    });
});
it("it composes increment functions to produce passed value", function () {
    expect.assertions(1);
    var promiseInc = function (x) { return Promise.resolve(x + 1); };
    var f = composePromise_1.default([promiseInc, promiseInc]);
    return f(0)
        .then(function (v) {
        expect(v).toEqual(2);
    });
});
it("it produces correct value when there are no fns", function () {
    expect.assertions(1);
    var f = composePromise_1.default([]);
    return f(true)
        .then(function (v) {
        expect(v).toEqual(true);
    });
});
it("it supports passing through other arguments", function () {
    expect.assertions(1);
    var returNthArg = function (n) { return function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        return Promise.resolve(args[n]);
    }; };
    var f = composePromise_1.default([returNthArg(1), returNthArg(2)]);
    return f(1, 2, 3)
        .then(function (v) {
        expect(v).toEqual(3);
    });
});
//# sourceMappingURL=composePromise.test.js.map