"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Pull all implementations of `methodName` from the objects in the `objs` list,
 * bound to the object they were attached to.
 */
function getBoundImplementations(methodName, objs) {
    return objs
        .filter(function (obj) {
        return typeof obj[methodName] === "function";
    })
        .map(function (obj) {
        return obj[methodName].bind(obj);
    });
}
exports.default = getBoundImplementations;
//# sourceMappingURL=getBoundImplementations.js.map